Sets the size and offset of the Imagick object

- « Imagick::setSize

- Imagick::setType »

- PHP Manual
- Imagick
- Sets the size and offset of the Imagick object

# Imagick::setSizeOffset

(PECL imagick 2, PECL imagick 3)

Imagick::setSizeOffset — Sets the size and offset of the Imagick object

### Description

public Imagick::setSizeOffset(int `$columns`, int `$rows`, int `$offset`): bool

Sets the size and offset of the Imagick object. Set it before you read a raw image format such as RGB, GRAY, or CMYK. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`columns`

  The width in pixels.

`rows`

  The height in pixels.

`offset`

  The image offset.

### Return Values

Returns `true` on success.